Yet another "Premature end of script headers" - Mozilla

This is a discussion on Yet another "Premature end of script headers" - Mozilla ; Hello, I have installed Bugzilla 3.0 on Debian using perl v5.8.8 "This is perl, v5.8.8 built for i486-linux-gnu-thread-multi" It worked ok for a while. Today it however stopped functioning. All requests return an internal server error and the apache error ...

+ Reply to Thread
Results 1 to 4 of 4

Thread: Yet another "Premature end of script headers"

  1. Yet another "Premature end of script headers"

    Hello,

    I have installed Bugzilla 3.0 on Debian using perl v5.8.8

    "This is perl, v5.8.8 built for i486-linux-gnu-thread-multi"

    It worked ok for a while. Today it however stopped functioning. All
    requests return an internal server error and the apache error log says

    "Premature end of script headers: index.cgi"

    When I try to invoke index.cgi from the command line it returns a
    "Segmentation fault"

    Would anyone have any ideas how to try and isolate/fix the problem?

    Thanks,

    Peter


  2. Re: Yet another "Premature end of script headers"

    On Mon, 17 Sep 2007 08:36:42 -0000 pc.subscriptions@gmail.com wrote:
    > Would anyone have any ideas how to try and isolate/fix the problem?


    Look at your Apache error log and see what it says.

    If your Perl is segfaulting, there's either something wrong
    with your Perl install, your OS, or your hardware.

    -Max
    --
    http://www.everythingsolved.com/
    Competent, Friendly Bugzilla Services. And Everything Else, too.

  3. Re: Yet another "Premature end of script headers"

    On Mon, 17 Sep 2007, pc.subscriptions@gmail.com might have said:

    > Hello,
    >
    > I have installed Bugzilla 3.0 on Debian using perl v5.8.8
    >
    > "This is perl, v5.8.8 built for i486-linux-gnu-thread-multi"
    >
    > It worked ok for a while. Today it however stopped functioning. All
    > requests return an internal server error and the apache error log says
    >
    > "Premature end of script headers: index.cgi"
    >
    > When I try to invoke index.cgi from the command line it returns a
    > "Segmentation fault"
    >
    > Would anyone have any ideas how to try and isolate/fix the problem?


    What has changed in that script? Try 'perl -wc index.cgi' to see if perl
    can tell you where the error might be.

    Mike

  4. Re: Yet another "Premature end of script headers"

    On 17 sep, 12:09, Max Kanat-Alexander wrote:
    > On Mon, 17 Sep 2007 08:36:42 -0000 pc.subscripti...@gmail.com wrote:
    >
    > > Would anyone have any ideas how to try and isolate/fix the problem?

    >
    > Look at your Apache error log and see what it says.
    >
    > If your Perl is segfaulting, there's either something wrong
    > with your Perl install, your OS, or your hardware.
    >
    > -Max
    > --http://www.everythingsolved.com/
    > Competent, Friendly Bugzilla Services. And Everything Else, too.


    Thanks...so I reinstalled perl and now everything is as before. No
    idea what happened.


+ Reply to Thread